Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1101235 - Review Request: qauth - Qt user authentication library
Summary: Review Request: qauth - Qt user authentication library
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2014-05-26 12:38 UTC by Martin Bříza
Modified: 2017-01-27 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-19 14:59:48 UTC


Attachments (Terms of Use)

Description Martin Bříza 2014-05-26 12:38:32 UTC
Spec URL: http://mbriza.fedorapeople.org/copr/unstable/qauth.spec
SRPM URL: http://mbriza.fedorapeople.org/copr/unstable/qauth-0.1.1-2.fc20.src.rpm
Description: Qt user authentication library
Fedora Account System Username: mbriza

Comment 1 Kevin Kofler 2014-05-31 15:43:34 UTC
The submitter is not supposed to touch the fedora-review flag (not even to set it to "?").

Comment 3 Rex Dieter 2014-06-10 16:16:52 UTC
naming: ok

I question the value of a -helpers subpkg, only value is saving ~100k in the multilib case (e.g. avoids an extra 100k of i686 binary on x86_64 systems, but they payload doesn't land on disk due to arch coloring anyway)

As mentioned in comment #2

1.  subpkgs MUST
Requires: %{name}%{?_isa} = %{version}-%{release}

2.  %{_libdir}/libqauth.so MUST be owned by -devel subpkg, I'd suggest (main)
%{_libdir}/libqauth.so.0*

and -devel
%{_libdir}/libqauth.so

3.  -devel subpkg MUST own %{_includedir}/QAuth , I'd suggest switching
%{_includedir}/QAuth/*
to
%{_includedir}/QAuth/

4.  %%description currently mentions Qt5, but no qt5 support is currently included.  I'd suggest leaving versions out, use something like
%description
QAuth is a Qt user authentication library... 
instead (to be version agnostic).

5.  licensing mostly ok, but SHOULD make it clearer if possible.  Afaict, the library itself is LGPLv2+, and the helper portion is GPLv2+, is that correct?  If so, please clarify that in a .spec comment near the License: tag

6.  SHOULD document need for
Requires: xorg-x11-xinit

Comment 4 Martin Bříza 2014-06-19 14:59:48 UTC
Hi,
closing the review. QAuth has been merged directly into SDDM source tree, so no separate package will be needed.
Thank you for the review, I'll take it in mind when modifying sddm.spec on update.

Comment 5 Rex Dieter 2017-01-27 15:37:51 UTC
clearing flags


Note You need to log in before you can comment on or make changes to this bug.